REM -------------------------------------------------------------------------
REM          SAMPLE EVENT BATCH PROCESS for SQ2MSG OPERATION.
REM -------------------------------------------------------------------------
REM   My event script consists of several COMMAND.COM shells running
REM   batch files for each 'kind' of event.  My EVENT.SYS looks like this:
REM         ECHO OFF
REM         CLS
REM         ECHO Processing PCBoard EVENT...
REM         C:\COMMAND.COM/c C:\PCB\EVENT\EVENT1
REM         C:\COMMAND.COM/c C:\PCB\EVENT\EVENT2
REM         C:\COMMAND.COM/c C:\PCB\EVENT\EVENT3
REM            etc...(including day-of-week checks and other stuff)
REM         BOARD.BAT
REM -------------------------------------------------------------------------
REM   The example below could be C:\PCB\EVENT\EVENT3.BAT for example:
REM -------------------------------------------------------------------------

C:
CD \PCB
TYPE C:\PCB\MAIN\ANSWER1     >> C:\PCB\STATS\ANSWER1.LOG  -+ Move logs off-line
TYPE C:\PCB\MAIN\ANSWER1.FRE >> C:\PCB\STATS\ANSWER1.LOG   | (daily) then have
TYPE C:\PCB\MAIN\ANSWER2     >> C:\PCB\STATS\ANSWER2.LOG   | sq2msg read the
TYPE C:\PCB\MAIN\ANSWER2.FRE >> C:\PCB\STATS\ANSWER2.LOG   | daily file.  Then
TYPE C:\PCB\MAIN\ANSWER3     >> C:\PCB\STATS\ANSWER3.LOG   | DEL the daily log.
TYPE C:\PCB\MAIN\ANSWER3.FRE >> C:\PCB\STATS\ANSWER3.LOG  -+
SQ2MSG.EXE C:\PCB\SQ2MSG.CFG
DEL C:\PCB\MAIN\ANSWER?.*

REM -------------------------------------------------------------------------
REM   The logic of this example EVENT3.BAT:
REM
REM   1. Type (append) the current answers to a log file for archiving.
REM
REM   2. SQ2MSG all scripts as listed in SQ2MSG.CFG and include questions /
REM        callerlog entries as requested therein.
REM
REM   3. Delete the answers processed so they are not processed on the
REM        next pass of the event (tomorrow?).
REM
REM   5. Exit the batch (fall out, so the COMMAND/c takes over).  The
REM        reasoning behind the shelled approch is that I can add and
REM        remove events or modify a given event easily.  And, if there
REM        is a problem or need to run just "one part" of an event, I need
REM        only execute the 'EVENTx.BAT' manually.
REM -------------------------------------------------------------------------

